当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 求助 ati+beryl 问题
帖子发表于 : 2007-04-09 23:55 

注册: 2007-04-09 11:18
帖子: 22
送出感谢: 0 次
接收感谢: 0 次
小弟对linux不熟装 beryl时出问题了 ,装了 n次了
郁闷 哦
求各位高手帮忙解答 阿
下面是 运行 beryl 时
Detected xserver : AIGLX

Checking Display :0.0 ...

Checking for XComposite extension : failed

No composite extension
beryl: No composite extension
运行 fglrxinfo 又对的
herryzhang@herry:~$ fglrxinfo
display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: MOBILITY RADEON X600 Generic
OpenGL version string: 2.0.6011 (8.28.8)
查看显卡时 glxinfo | grep render
herryzhang@herry:~$ glxinfo | grep render
direct rendering: Yes
GLX_ATI_pixel_format_float, GLX_ATI_render_texture
OpenGL renderer string: MOBILITY RADEON X600 Generic
应该是正常的 哇
迷茫了 !~~


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 求助 ati+beryl 问题
帖子发表于 : 2007-04-10 9:47 

注册: 2007-04-03 10:06
帖子: 65
送出感谢: 0 次
接收感谢: 0 次
你装的feisty还是edgy
如果是edgy你可以用管网wiki里面的自动安装脚本xlg+beryl+ati,那个还是很stable的
如果是feisty我也没有成功呢,等稳定的版本出来了再说吧
我的是ATI X300 mobility 的显卡

你用AIGLX做Xserver的话不能用fglrx的驱动,换成ati的试试
fglrx的驱动不支持composite

关键就是

Checking for XComposite extension : failed

No composite extension
beryl: No composite extension


但事实上,ati驱动比fglrx驱动在性能上差很多很多,还是等feisty+beryl+xgl+ATI的install wiki出来了再说吧



kkkey 写道:
小弟对linux不熟装 beryl时出问题了 ,装了 n次了
郁闷 哦
求各位高手帮忙解答 阿
下面是 运行 beryl 时
Detected xserver : AIGLX

Checking Display :0.0 ...

Checking for XComposite extension : failed

No composite extension
beryl: No composite extension
运行 fglrxinfo 又对的
herryzhang@herry:~$ fglrxinfo
display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: MOBILITY RADEON X600 Generic
OpenGL version string: 2.0.6011 (8.28.8)
查看显卡时 glxinfo | grep render
herryzhang@herry:~$ glxinfo | grep render
direct rendering: Yes
GLX_ATI_pixel_format_float, GLX_ATI_render_texture
OpenGL renderer string: MOBILITY RADEON X600 Generic
应该是正常的 哇
迷茫了 !~~


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-04-11 18:43 

注册: 2007-04-09 11:18
帖子: 22
送出感谢: 0 次
接收感谢: 0 次
继续郁闷
现在装了 后 ,没有反应 中端显示如下
Gdk-CRITICAL **: gdk_window_get_origin: assertion `GDK_IS_WINDOW (window)' failed
高手继续来看下阿


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-04-13 8:36 

注册: 2006-08-10 19:26
帖子: 36
送出感谢: 0 次
接收感谢: 0 次
我用的挺好的阿,ati x300的显卡,feisty

可以用fglrx+xgl+beryl,第三方的mesa驱动的话,可以直接装beryl,一样可以用,只是有点不稳定
fglrx+xgl还是比较稳定的


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译